<?php


namespace Tool\MayouTool\Bean\Crm;


use Tool\MayouTool\Bean\BaseBean;

class TaobaoBatchSendParamBean extends BaseBean
{
    /**
     * 订单编号
     * @var $orderNumber string
     */
    private $orderNumber;

    /**
     * 卖家昵称
     * @var $sellerNick string
     */
    private $sellerNick;

    /**
     * 快递单号
     * @var $expressNumber string
     */
    private $expressNumber;

    /**
     * 快递编码
     * @var $expressCode string
     */
    private $expressCode;

    /**
     * @return string
     */
    public function getOrderNumber(): string
    {
        return $this->orderNumber;
    }

    /**
     * @param string $orderNumber
     */
    public function setOrderNumber(string $orderNumber)
    {
        $this->orderNumber = $orderNumber;
    }

    /**
     * @return string
     */
    public function getSellerNick(): string
    {
        return $this->sellerNick;
    }

    /**
     * @param string $sellerNick
     */
    public function setSellerNick(string $sellerNick)
    {
        $this->sellerNick = $sellerNick;
    }

    /**
     * @return string
     */
    public function getExpressNumber(): string
    {
        return $this->expressNumber;
    }

    /**
     * @param string $expressNumber
     */
    public function setExpressNumber(string $expressNumber)
    {
        $this->expressNumber = $expressNumber;
    }

    /**
     * @return string
     */
    public function getExpressCode(): string
    {
        return $this->expressCode;
    }

    /**
     * @param string $expressCode
     */
    public function setExpressCode(string $expressCode)
    {
        $this->expressCode = $expressCode;
    }

}